
Infrastructure - Task #3807

Story # 1906 (Closed): Review, revise, and update architecture documentation

Add documentation for Types.QueryEngineDescription

2013-06-14 15:56 - Roger Dahl

Status: New Start date: 2013-06-14

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: None Story Points:  

Product Version:    

Description

Types.QueryEngineDescription is returned by CNRead.getQueryEngineDescription().

History

#1 - 2014-09-21 15:28 - unset unset

Any progress on this one?  Its part of the tier 1 MN implementation, needs documentation.

heres the v.1.1 XML

 xs:annotation

 xs:documentationDescribes a query engine that can be used to search content on the node.

Query engines may be general purpose or specialized for particular communities or domains./xs:documentation

 /xs:annotation

 xs:sequence

 xs:annotation

 xs:documentationThe version of the underlying query engine. Used by clients to determine possible

compatibility concerns or features available./xs:documentation

 /xs:annotation

 /xs:element

 xs:annotation

 xs:documentationVersion of the schema in use by the query engine, e.g. "1.0.1"/xs:documentation

 /xs:annotation

 /xs:element

 xs:annotation

 xs:documentationThe full, human readable name of the query engine. For example:

"Apache SOLR"/xs:documentation

 /xs:annotation

 /xs:element

 xs:annotation

 xs:documentationAn optional human readable description of the query engine. This can be

used to describe any special capabilities or intended uses for the query engine. For example,

a query engine may be tuned to suit a particular audience or domain as opposed to providing

a general purpose discovery mechanism./xs:documentation

 xs:documentationThis field may also contain links to additional information about the query engine,

such as documentation for the search syntax provided by the query engine implemntors./xs:documentation

 /xs:annotation

 /xs:element

 xs:annotation

 xs:documentationA list of query fields supported by the query engine./xs:documentation

 /xs:annotation

 /xs:element

 /xs:sequence

 /xs:complexType
#2 - 2014-10-02 17:21 - Dave Vieglais

- Target version set to Maintenance Backlog
